#ifndef __CFM_AGL_BRIDGE__
#define __CFM_AGL_BRIDGE__

typedef struct __AGLContextRec       *AGLContext;
typedef struct __AGLPBufferRec       *AGLPbuffer;


// function pointer typedefs
typedef void (*aglSurfaceTexturePtr)(AGLContext context, GLenum target, GLenum internalformat, AGLContext surfacecontext); //   AVAILABLE_MAC_OS_X_VERSION_10_2_AND_LATER;
typedef GLboolean (*aglCreatePBufferPtr)(GLint width, GLint height, GLenum target, GLenum internalFormat, long max_level, AGLPbuffer *pbuffer); //    AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER;
typedef GLboolean (*aglDestroyPBufferPtr)(AGLPbuffer pbuffer);	// AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER;
typedef GLboolean (*aglDescribePBufferPtr)(AGLPbuffer pbuffer, GLint *width, GLint *height, GLenum *target, GLenum *internalFormat, GLint *max_level); //    AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER;
typedef GLboolean (*aglTexImagePBufferPtr)(AGLContext ctx, AGLPbuffer pbuffer, GLint source); //    AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER;
typedef GLboolean (*aglSetPBufferPtr)(AGLContext ctx, AGLPbuffer pbuffer, GLint face, GLint level, GLint screen); //    AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER;
typedef GLboolean (*aglGetPBufferPtr)(AGLContext ctx, AGLPbuffer *pbuffer, GLint *face, GLint *level, GLint *screen); //    AVAILABLE_MAC_OS_X_VERSION_10_3_AND_LATER;
	

extern aglSurfaceTexturePtr pfaglSurfaceTexture;
extern aglCreatePBufferPtr pfaglCreatePBuffer;
extern aglDestroyPBufferPtr pfaglDestroyPBuffer;
extern aglDescribePBufferPtr pfaglDescribePBuffer;
extern aglTexImagePBufferPtr pfaglTexImagePBuffer;
extern aglSetPBufferPtr pfaglSetPBuffer;
extern aglGetPBufferPtr pfaglGetPBuffer;


extern OSStatus InitMissingAGLEntryPoints (void);
extern void DeallocMissingAGLEntryPoints (void);

#endif //__CFM_AGL_BRIDGE__
